<!-- <p>Contact Name: {{contactList.name | uppercase}}<br> Phone Number: {{contactList.phone}}</p>
<p>Enter Name:<input type="text" [(ngModel)]="contactList.name" /></p> -->

<!-- <ul *ngFor='let contacts of contactList' (click)='onClick(contacts)' [class.selected]="contacts===selectedContact">
    <li>Name: {{contacts.name |uppercase}}</li>
    <li>Phone: {{contacts.phone}}</li>
    <li><input [value]="contacts.name" (input)="contacts.name=$event.target.value"></li> 
</ul> -->
<contact-list-count [All]="getAllContactList()" [Male]="getMaleContactList()" [Female]="getFemaleContactList()" (countRadioButtonSelectionChanged)="onRadioButtonSelectionDataChange($event)">
</contact-list-count>
<table>
    <thead>
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Phone</th>
            <th>Gender</th>
        </tr>
    </thead>
    <tbody>
        <ng-container *ngFor='let contacts of contactList'>
            <tr *ngIf="selectedContactRadioButtonValue=='All' || selectedContactRadioButtonValue==contacts.gender" (click)='onClick(contacts)' [class.selected]="contacts===selectedContact">
                <td>{{contacts.id}}</td>
                <td>{{contacts.name |uppercase | title:contacts.gender}}</td>
                <td>{{contacts.phone}}</td>
                <td>{{contacts.gender}}</td>
            </tr>
        </ng-container>
    </tbody>
</table>
<app-contact-details [selectedContactDetails]="selectedContact"></app-contact-details>